Index: .hgsubstate
===================================================================
--- .hgsubstate	(revision 175)
+++ .hgsubstate	(revision 229)
@@ -1,1 +1,1 @@
-264a6592718aee1e455d77db3a263167ae527c6f inc/libs/clearbricks
+bd72cbb91cb6afe95eaac12f181be19efcbfb72a inc/libs/clearbricks
Index: admin/install/index.php
===================================================================
--- admin/install/index.php	(revision 199)
+++ admin/install/index.php	(revision 240)
@@ -191,5 +191,13 @@
 		$core->auth->user_prefs->dashboard->put('dcnews',true,'boolean','',null,true);
 		$core->auth->user_prefs->dashboard->put('quickentry',true,'boolean','',null,true);
-		
+
+		# Add accessibility options
+		$core->auth->user_prefs->addWorkspace('accessibility');
+		$core->auth->user_prefs->accessibility->put('nodragdrop',false,'boolean','',null,true);
+
+		# Add user interface options
+		$core->auth->user_prefs->addWorkspace('interface');
+		$core->auth->user_prefs->interface->put('enhanceduploader',false,'boolean','',null,true);
+
 		# Add default favorites
 		$core->auth->user_prefs->addWorkspace('favorites');
Index: admin/js/_index.js
===================================================================
--- admin/js/_index.js	(revision 3)
+++ admin/js/_index.js	(revision 234)
@@ -4,10 +4,10 @@
 		var contentTb = new jsToolBar($('#post_content',f)[0]);
 		contentTb.switchMode($('#post_format',f).val());
-		
+
 		$('input[name=save]',f).click(function() {
 			quickPost(f,-2);
 			return false;
 		});
-		
+
 		if ($('input[name=save-publish]',f).length > 0) {
 			var btn = $('<input type="submit" value="' + $('input[name=save-publish]',f).val() + '" tabindex="3" />');
@@ -19,10 +19,10 @@
 			});
 		}
-		
+
 		function quickPost(f,status) {
 			if (contentTb.getMode() == 'wysiwyg') {
 				contentTb.syncContents('iframe');
 			}
-			
+
 			var params = {
 				f: 'quickPost',
@@ -35,7 +35,7 @@
 				post_lang: $('#post_lang',f).val()
 			}
-			
+
 			$('p.qinfo',f).remove();
-			
+
 			$.post('services.php',params,function(data) {
 				if ($('rsp[status=failed]',data).length > 0) {
@@ -57,13 +57,13 @@
 					}
 				}
-				
+
 				$('fieldset',f).prepend(msg);
 			});
 		}
 	}
-	
+
 	// allow to hide quick entry div, and remember choice
 	$('#quick h3').toggleWithLegend($('#quick').children().not('h3'),{
 		cookie: 'dcx_quick_entry',
-	});
+	}, positionFooter);
 });
Index: admin/js/_media.js
===================================================================
--- admin/js/_media.js	(revision 224)
+++ admin/js/_media.js	(revision 250)
@@ -17,12 +17,5 @@
 	
 	if (!$.browser.opera) {
-		var cue = $('<a/>').attr({'id':'candyupload-enable','href':'#'}).append(dotclear.msg.activate_enhanced_uploader)
-		.click(function() {
-			candyUploadInit();
-			return false;
-		});
-		$('#media-upload>fieldset').append($('<div></div>').append(cue));
-		
-		if ($.cookie('dc_candy_upl') == 1) {
+		if (dotclear.candyUpload_force_init == '1') {
 			candyUploadInit();
 		}
@@ -43,16 +36,6 @@
 				createControls: function() {
 					var _this = this;
-					var cud = $('<a/>').attr({'id':'candyupload-disable','href':'#'}).append(dotclear.msg.disable_enhanced_uploader)
-					.click(function() {
-						_this.upldr.destroy();
-						_this.ctrl.block.empty().remove();
-						$('#media-upload').show();
-						delete _this;
-						$.cookie('dc_candy_upl','',{expires: -1});
-						return false;
-					});
 					this.ctrl.btn_browse.hide();
 					this.ctrl.msg.html(dotclear.msg.load_enhanced_uploader);
-					this.ctrl.disable = $('<div class="cu-disable"></div>').append(cud).appendTo(this.ctrl.block);
 				},
 				flashReady: function() {
@@ -67,5 +50,4 @@
 						});
 					});
-					this.ctrl.block.append(this.ctrl.disable);
 				},
 				uploadSuccess: function(o,data) {
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 163)
+++ admin/js/common.js	(revision 234)
@@ -315,4 +315,29 @@
 	}
 };
+
+/* Sticky footer
+-------------------------------------------------------- */
+function positionFooter() {
+	$("#wrapper").css({ overflow: "auto" });
+	var page_height = $("#top").height() + $("#wrapper").height() - $("#footer").height();
+	if( page_height < $(window).height() ){
+		// calcul de la largeur
+		var page_width = $(document).width() - 30;
+		$("#footer").css({
+			position: "absolute",
+			bottom: "10px",
+			width: page_width+"px",
+			padding: ".75em 0",
+			marginbottom: "0"
+		});
+	} else {
+		$("#footer").css({
+			position: "static",
+			padding: ".75em 0",
+			width: "auto",
+		});
+	}
+
+}
 
 /* On document ready
@@ -367,28 +392,5 @@
 	// Sticky footer
 	positionFooter();
-	function positionFooter() {
-		$("#wrapper").css({ overflow: "auto" });
-		var page_height = $("#top").height() + $("#wrapper").height() - $("#footer").height();
-		if( page_height < $(window).height() ){
-			// calcul de la largeur
-			var page_width = $(document).width() - 30;
-			$("#footer").css({
-				position: "absolute",
-				bottom: "10px",
-				width: page_width+"px",
-				padding: ".75em 0",
-				marginbottom: "0"
-			});
-		} else {
-			$("#footer").css({
-				position: "static",
-				padding: ".75em 0",
-				width: "auto",
-			});
-		}
-
-	}
 	$(window).resize(positionFooter);
-
 });
 
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 217)
+++ admin/media.php	(revision 241)
@@ -242,7 +242,16 @@
 /* DISPLAY Main page
 -------------------------------------------------------- */
+$core->auth->user_prefs->addWorkspace('interface');
+$user_ui_enhanceduploader = $core->auth->user_prefs->interface->enhanceduploader;
+
 call_user_func($open_f,__('Media manager'),
+	'<script type="text/javascript">'."\n".
+	"//<![CDATA["."\n".
+	dcPage::jsVar('dotclear.candyUpload_force_init',$user_ui_enhanceduploader)."\n".
+	"//]]>".
+	"</script>".
 	dcPage::jsLoad('js/_media.js').
-	($core_media_writable ? dcPage::jsCandyUpload(array('d='.$d)) : ''));
+	(($user_ui_enhanceduploader && $core_media_writable) ? dcPage::jsCandyUpload(array('d='.$d)) : '')
+	);
 
 if (!empty($_GET['mkdok'])) {
@@ -337,6 +346,6 @@
 	'<input type="file" id="upfile" name="upfile" size="20" />'.
 	'</label></p>'.
-	'<p><label for="upfiletitle">'.__('Title:').form::field(array('upfiletitle'),35,255).'</label></p>'.
-	'<p><label for="upfilepriv" class="classic">'.form::checkbox(array('upfilepriv'),1).' '.
+	'<p><label for="upfiletitle">'.__('Title:').form::field(array('upfiletitle','upfiletitle'),35,255).'</label></p>'.
+	'<p><label for="upfilepriv" class="classic">'.form::checkbox(array('upfilepriv','upfilepriv'),1).' '.
 	__('Private').'</label></p>'.
 	'<p><input type="submit" value="'.__('send').'" />'.
@@ -352,5 +361,5 @@
 	$core->formNonce().
 	'<p><label for="newdir">'.__('Directory Name:').
-	form::field(array('newdir'),35,255).'</label></p>'.
+	form::field(array('newdir','newdir'),35,255).'</label></p>'.
 	'<p><input type="submit" value="'.__('Save').'" />'.
 	form::hidden(array('d'),html::escapeHTML($d)).'</p>'.
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 190)
+++ admin/preferences.php	(revision 247)
@@ -34,7 +34,13 @@
 
 $core->auth->user_prefs->addWorkspace('accessibility');
-$user_dm_nodragdrop = $core->auth->user_prefs->accessibility->nodragdrop;
-
-$default_tab = 'user-profile';
+$user_acc_nodragdrop = $core->auth->user_prefs->accessibility->nodragdrop;
+
+$core->auth->user_prefs->addWorkspace('interface');
+$user_ui_enhanceduploader = $core->auth->user_prefs->interface->enhanceduploader;
+if ($core->auth->isSuperAdmin()) {
+	$user_ui_hide_std_favicon = $core->auth->user_prefs->interface->hide_std_favicon;
+}
+
+$default_tab = !empty($_GET['tab']) ? html::escapeHTML($_GET['tab']) : 'user-profile';
 
 if (!empty($_GET['append']) || !empty($_GET['removed']) || !empty($_GET['neworder']) || !empty($_GET['replaced'])) {
@@ -42,4 +48,7 @@
 } elseif (!empty($_GET['updated'])) {
 	$default_tab = 'user-options';
+}
+if (($default_tab != 'user-profile') && ($default_tab != 'user-options') && ($default_tab != 'user-favorites')) {
+	$default_tab = 'user-profile';
 }
 
@@ -144,5 +153,10 @@
 		$core->auth->user_prefs->dashboard->put('dcnews',!empty($_POST['user_dm_dcnews']),'boolean');
 		$core->auth->user_prefs->dashboard->put('quickentry',!empty($_POST['user_dm_quickentry']),'boolean');
-		$core->auth->user_prefs->accessibility->put('nodragdrop',!empty($_POST['user_dm_nodragdrop']),'boolean');
+		$core->auth->user_prefs->accessibility->put('nodragdrop',!empty($_POST['user_acc_nodragdrop']),'boolean');
+		$core->auth->user_prefs->interface->put('enhanceduploader',!empty($_POST['user_ui_enhanceduploader']),'boolean');
+		if ($core->auth->isSuperAdmin()) {
+			# Applied to all users
+			$core->auth->user_prefs->interface->put('hide_std_favicon',!empty($_POST['user_ui_hide_std_favicon']),'boolean',null,true,true);
+		}
 		
 		# Udate user
@@ -292,5 +306,5 @@
 dcPage::open($page_title,
 	dcPage::jsLoad('js/_preferences.js').
-	($user_dm_nodragdrop ? '' : dcPage::jsLoad('js/_preferences-dragdrop.js')).
+	($user_acc_nodragdrop ? '' : dcPage::jsLoad('js/_preferences-dragdrop.js')).
 	dcPage::jsLoad('js/jquery/jquery-ui-1.8.12.custom.min.js').
 	dcPage::jsPageTabs($default_tab).
@@ -322,4 +336,6 @@
 echo '<h2>'.$page_title.'</h2>';
 
+$tabindex = 2;
+
 # User profile
 echo '<div class="multi-part" id="user-profile" title="'.__('My profile').'">';
@@ -331,17 +347,17 @@
 '<div class="col">'.
 '<p><label for="user_name">'.__('Last Name:').
-form::field('user_name',20,255,html::escapeHTML($user_name),'',2).'</label></p>'.
+form::field('user_name',20,255,html::escapeHTML($user_name),'',$tabindex++).'</label></p>'.
 
 '<p><label for="user_firstname">'.__('First Name:').
-form::field('user_firstname',20,255,html::escapeHTML($user_firstname),'',3).'</label></p>'.
+form::field('user_firstname',20,255,html::escapeHTML($user_firstname),'',$tabindex++).'</label></p>'.
 
 '<p><label for="user_displayname">'.__('Display name:').
-form::field('user_displayname',20,255,html::escapeHTML($user_displayname),'',4).'</label></p>'.
+form::field('user_displayname',20,255,html::escapeHTML($user_displayname),'',$tabindex++).'</label></p>'.
 
 '<p><label for="user_email">'.__('Email:').
-form::field('user_email',20,255,html::escapeHTML($user_email),'',5).'</label></p>'.
+form::field('user_email',20,255,html::escapeHTML($user_email),'',$tabindex++).'</label></p>'.
 
 '<p><label for="user_url">'.__('URL:').
-form::field('user_url',30,255,html::escapeHTML($user_url),'',6).'</label></p>'.
+form::field('user_url',30,255,html::escapeHTML($user_url),'',$tabindex++).'</label></p>'.
 
 '</div>'.
@@ -350,8 +366,8 @@
 
 '<p><label for="user_lang">'.__('User language:').
-form::combo('user_lang',$lang_combo,$user_lang,'l10n',10).'</label></p>'.
+form::combo('user_lang',$lang_combo,$user_lang,'l10n',$tabindex++).'</label></p>'.
 
 '<p><label for="user_tz">'.__('User timezone:').
-form::combo('user_tz',dt::getZones(true,true),$user_tz,'',11).'</label></p>'.
+form::combo('user_tz',dt::getZones(true,true),$user_tz,'',$tabindex++).'</label></p>'.
 
 '</div>'.
@@ -367,8 +383,8 @@
 	
 	'<p><label for="new_pwd">'.__('New password:').
-	form::password('new_pwd',20,255,'','',30).'</label></p>'.
+	form::password('new_pwd',20,255,'','',$tabindex++).'</label></p>'.
 	
 	'<p><label for="new_pwd_c">'.__('Confirm password:').
-	form::password('new_pwd_c',20,255,'','',31).'</label></p>'.
+	form::password('new_pwd_c',20,255,'','',$tabindex++).'</label></p>'.
 	'</fieldset>'.
 	
@@ -376,5 +392,5 @@
 	'<p>'.__('If you want to change your email or password you must provide your current password.').'</p>'.
 	'<p><label for="cur_pwd">'.__('Your password:').
-	form::password('cur_pwd',20,255,'','',32).'</label></p>'.
+	form::password('cur_pwd',20,255,'','',$tabindex++).'</label></p>'.
 	'</fieldset>';
 }
@@ -396,15 +412,29 @@
 
 '<p><label for="user_post_format">'.__('Preferred format:').
-form::combo('user_post_format',$formaters_combo,$user_options['post_format'],'',7).'</label></p>'.
+form::combo('user_post_format',$formaters_combo,$user_options['post_format'],'',$tabindex++).'</label></p>'.
 
 '<p><label for="user_post_status">'.__('Default entry status:').
-form::combo('user_post_status',$status_combo,$user_post_status,'',8).'</label></p>'.
+form::combo('user_post_status',$status_combo,$user_post_status,'',$tabindex++).'</label></p>'.
 
 '<p><label for="user_edit_size">'.__('Entry edit field height:').
-form::field('user_edit_size',5,4,(integer) $user_options['edit_size'],'',9).'</label></p>'.
+form::field('user_edit_size',5,4,(integer) $user_options['edit_size'],'',$tabindex++).'</label></p>'.
 
 '<p><label for="user_wysiwyg" class="classic">'.
-form::checkbox('user_wysiwyg',1,$user_options['enable_wysiwyg'],'',12).' '.
+form::checkbox('user_wysiwyg',1,$user_options['enable_wysiwyg'],'',$tabindex++).' '.
 __('Enable WYSIWYG mode').'</label></p>'.
+
+'<p><label for="user_ui_enhanceduploader" class="classic">'.
+form::checkbox('user_ui_enhanceduploader',1,$user_ui_enhanceduploader,'',$tabindex++).' '.
+__('Activate enhanced uploader in media manager').'</label></p>';
+
+if ($core->auth->isSuperAdmin()) {
+	echo
+	'<p><label for="user_ui_hide_std_favicon" class="classic">'.
+	form::checkbox('user_ui_hide_std_favicon',1,$user_ui_hide_std_favicon,'',$tabindex++).' '.
+	__('Do not use standard favicon').'</label></p>'.
+	'<p class="clear form-note info">'.__('This will be applied for all users').'</p>';
+}
+
+echo 
 '<br class="clear" />'. //Opera sucks
 '</fieldset>';
@@ -413,6 +443,6 @@
 '<fieldset><legend>'.__('Accessibility options').'</legend>'.
 
-'<p><label for="user_dm_nodragdrop" class="classic">'.
-form::checkbox('user_dm_nodragdrop',1,$user_dm_nodragdrop,'',13).' '.
+'<p><label for="user_acc_nodragdrop" class="classic">'.
+form::checkbox('user_acc_nodragdrop',1,$user_acc_nodragdrop,'',$tabindex++).' '.
 __('Disable javascript powered drag and drop for ordering items').'</label></p>'.
 
@@ -424,13 +454,13 @@
 
 '<p><label for="user_dm_doclinks" class="classic">'.
-form::checkbox('user_dm_doclinks',1,$user_dm_doclinks,'',14).' '.
+form::checkbox('user_dm_doclinks',1,$user_dm_doclinks,'',$tabindex++).' '.
 __('Display documentation links').'</label></p>'.
 
 '<p><label for="user_dm_dcnews" class="classic">'.
-form::checkbox('user_dm_dcnews',1,$user_dm_dcnews,'',15).' '.
+form::checkbox('user_dm_dcnews',1,$user_dm_dcnews,'',$tabindex++).' '.
 __('Display Dotclear news').'</label></p>'.
 
 '<p><label for="user_dm_quickentry" class="classic">'.
-form::checkbox('user_dm_quickentry',1,$user_dm_quickentry,'',16).' '.
+form::checkbox('user_dm_quickentry',1,$user_dm_quickentry,'',$tabindex++).' '.
 __('Display quick entry form').'</label></p>'.
 
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 181)
+++ admin/user.php	(revision 230)
@@ -236,9 +236,9 @@
 '</label></p>'.
 
-'<p><label>'.__('Entry edit field height:').' '.
+'<p><label for="user_edit_size">'.__('Entry edit field height:').' '.
 form::field('user_edit_size',5,4,(integer) $user_options['edit_size'],'',12).
 '</label></p>'.
 
-'<p><label for="user_edit_size">'.__('User language:').' '.
+'<p><label for="user_lang">'.__('User language:').' '.
 form::combo('user_lang',$lang_combo,$user_lang,'l10n',13).
 '</label></p>'.
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 224)
+++ inc/admin/lib.dc.page.php	(revision 244)
@@ -101,4 +101,10 @@
 		if (l10n::getTextDirection($GLOBALS['_lang']) == 'rtl') {
 			echo '  <style type="text/css">'."\n".'  @import "style/default-rtl.css";'."\n"."  </style>\n";
+		}
+
+		$core->auth->user_prefs->addWorkspace('interface');
+		$user_ui_hide_std_favicon = $core->auth->user_prefs->interface->hide_std_favicon;
+		if (!$user_ui_hide_std_favicon) {
+			echo '<link rel="icon" type="image/png" href="images/favicon.png" />';
 		}
 		
Index: locales/en/help/user_pref.html
===================================================================
--- locales/en/help/user_pref.html	(revision 175)
+++ locales/en/help/user_pref.html	(revision 243)
@@ -58,4 +58,8 @@
   <dd>Allow the use of the WYSIWYG editor for the posts and description fields.</dd>
   
+  <dt>Activate enhanced uploader in media manager</dt>
+  <dd>This option allows you to upload several files at the same time on your server.
+  Needs the presence of Flash plugin in your browser.</dd>
+  
   <dt>Dashboard modules</dt>
   <dd>Choices made in this zone will be reflected on your blog's dashboard.</dd>
Index: locales/fr/help/core_user_pref.html
===================================================================
--- locales/fr/help/core_user_pref.html	(revision 175)
+++ locales/fr/help/core_user_pref.html	(revision 243)
@@ -63,4 +63,8 @@
   <dd>Permet d'activer ou non l'éditeur visuel des billets et des catégories.</dd>
   
+  <dt>Activer l'interface avancée du gestionnaire de médias</dt>
+  <dd>Cette option permet d'envoyer plusieurs fichiers à la fois sur le serveur.
+  Nécessite la présence du plugin Flash dans votre navigateur.</dd>
+  
   <dt>Modules du tableau de bord</dt>
   <dd>Les choix opérés dans cette zone détermineront l'affichage de 
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 222)
+++ locales/fr/main.po	(revision 245)
@@ -2275,4 +2275,7 @@
 msgstr "Envoyer"
 
+msgid "Loading enhanced uploader, please wait."
+msgstr "Chargement de l'interface avancée."
+
 msgid "No file in queue."
 msgstr "Aucun fichier en file d'attente."
@@ -2804,2 +2807,11 @@
 #~ msgid "Modify numbers in fields to change favorites order."
 #~ msgstr "Modifiez les nombres dans les champs pour changer l'ordre des favoris."
+
+msgid "Activate enhanced uploader in media manager"
+msgstr "Activer l'interface avancée du gestionnaire de médias"
+
+msgid "Do not use standard favicon"
+msgstr "Ne pas utiliser le favicon standard"
+
+msgid "This will be applied for all users"
+msgstr "Ce choix sera actif pour tous les utilisateurs"
Index: plugins/antispam/filters/class.dc.filter.ip.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.ip.php	(revision 223)
+++ plugins/antispam/filters/class.dc.filter.ip.php	(revision 248)
@@ -167,6 +167,6 @@
 
 				$res .=
-				'<p style="'.$p_style.'"><label class="classic">'.
-				form::checkbox(array('delip[]'),$rs->rule_id,false,'','',$disabled_ip, 'title="'.html::escapeHTML($pattern).'"').' '.
+				'<p style="'.$p_style.'"><label class="classic" for="'.$type.'-ip-'.$rs->rule_id.'">'.
+				form::checkbox(array('delip[]',$type.'-ip-'.$rs->rule_id),$rs->rule_id,false,'','',$disabled_ip).' '.
 				html::escapeHTML($pattern).
 				'</label></p>';
Index: plugins/antispam/filters/class.dc.filter.iplookup.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.iplookup.php	(revision 223)
+++ plugins/antispam/filters/class.dc.filter.iplookup.php	(revision 231)
@@ -84,7 +84,7 @@
 		'<form action="'.html::escapeURL($url).'" method="post">'.
 		'<fieldset><legend>' . __('IP Lookup servers') . '</legend>'.
-		'<p>'.'<label for="bls">'.__('Add here a coma separated list of servers.').'</label>'.
-		form::textarea('bls',40,3,html::escapeHTML($bls),'maximal').'</p>'.
-		'<p><input type="submit" value="'.__('Save').'" />'.
+		'<p><label for="bls">'.__('Add here a coma separated list of servers.').
+		form::textarea('bls',40,3,html::escapeHTML($bls),'maximal').
+		'<input type="submit" value="'.__('Save').'" /></label></p>'.
 		$this->core->formNonce().'</p>'.
 		'</fieldset>'.
Index: plugins/antispam/filters/class.dc.filter.words.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.words.php	(revision 223)
+++ plugins/antispam/filters/class.dc.filter.words.php	(revision 248)
@@ -156,6 +156,6 @@
 
 				$res .=
-				'<p style="'.$p_style.'"><label class="classic">'.
-				form::checkbox(array('swd[]'),$rs->rule_id,false,'','',$disabled_word, 'title="'.html::escapeHTML($rs->rule_content).'"').' '.
+				'<p style="'.$p_style.'"><label class="classic" for="word-'.$rs->rule_id.'">'.
+				form::checkbox(array('swd[]', 'word-'.$rs->rule_id),$rs->rule_id,false,'','',$disabled_word).' '.
 				html::escapeHTML($rs->rule_content).
 				'</label></p>';
Index: plugins/importExport/inc/class.dc.export.flat.php
===================================================================
--- plugins/importExport/inc/class.dc.export.flat.php	(revision 125)
+++ plugins/importExport/inc/class.dc.export.flat.php	(revision 233)
@@ -106,4 +106,5 @@
 				$exp->exportTable('setting');
 				$exp->exportTable('user');
+				$exp->exportTable('pref');
 				$exp->exportTable('permissions');
 				$exp->exportTable('post');
Index: plugins/importExport/inc/flat/class.dc.import.php
===================================================================
--- plugins/importExport/inc/flat/class.dc.import.php	(revision 0)
+++ plugins/importExport/inc/flat/class.dc.import.php	(revision 233)
@@ -84,4 +84,5 @@
 		$this->cur_setting     = $this->con->openCursor($this->prefix.'setting');
 		$this->cur_user        = $this->con->openCursor($this->prefix.'user');
+		$this->cur_pref        = $this->con->openCursor($this->prefix.'pref');
 		$this->cur_permissions = $this->con->openCursor($this->prefix.'permissions');
 		$this->cur_post        = $this->con->openCursor($this->prefix.'post');
@@ -253,4 +254,7 @@
 						$this->insertUser($line);
 						break;
+					case 'pref':
+						$this->insertPref($line);
+						break;
 					case 'permissions':
 						$this->insertPermissions($line);
@@ -363,4 +367,18 @@
 		
 		$this->cur_setting->insert();
+	}
+	
+	private function insertPref($pref)
+	{
+		$this->cur_pref->clean();
+		
+		$this->cur_pref->pref_id    = (string) $pref->pref_id;
+		$this->cur_pref->user_id    = !$pref->user_id ? null : (string) $pref->user_id;
+		$this->cur_pref->pref_ws    = (string) $pref->pref_ws;
+		$this->cur_pref->pref_value = (string) $pref->pref_value;
+		$this->cur_pref->pref_type  = (string) $pref->pref_type;
+		$this->cur_pref->pref_label = (string) $pref->pref_label;
+		
+		$this->cur_pref->insert();
 	}
 	
Index: plugins/pages/locales/en/help/page.html
===================================================================
--- plugins/pages/locales/en/help/page.html	(revision 198)
+++ plugins/pages/locales/en/help/page.html	(revision 232)
@@ -71,10 +71,4 @@
   URL for your page. If the URL you're trying to use is already used by another
   page, a number will be added to it.</dd>
-  
-  <dt>Attachments</dt>
-  <dd>The attachments are all the medias you joined to the page. The link <em>add
-  file to this page</em> allows you to attach other files to the page. Remember
-  to save your changes before clicking on this link. For further information,
-  see the media manager help.</dd>
 </dl>
 
Index: plugins/pages/locales/fr/help/page.html
===================================================================
--- plugins/pages/locales/fr/help/page.html	(revision 198)
+++ plugins/pages/locales/fr/help/page.html	(revision 232)
@@ -13,5 +13,5 @@
   
   <dt>Extrait</dt>
-  <dd>Ce champ est optionel.</dd>
+  <dd>Ce champ est optionnel.</dd>
   
   <dt>Contenu</dt>
@@ -33,5 +33,5 @@
   </dd>
   
-  <dt>Publié le</dt>
+  <dt>Publiée le</dt>
   <dd>Permet de modifier la date et l'heure de publication de la page. Si vous avez
   choisi le statut <em>programmée</em> elle sera mise en ligne aux date et heure
@@ -77,10 +77,4 @@
   après avoir cliqué sur le petit verrou placé à sa droite. Si vous essayez
   d'utiliser une URL déjà existante, celle-ci se verra incrémentée d'un chiffre.</dd>
-  
-  <dt>Pièces jointes</dt>
-  <dd>Les pièces jointes sont tous les médias attachés à la page. Le lien
-  d'ajout d'une pièce jointe permet de choisir un fichier à ajouter à la page.
-  Pensez à sauvegarder votre page avant de choisir une pièce jointe. Consultez
-  l'aide du gestionnaire de média pour plus de détails.</dd>
 </dl>
 
